Webhooks

Get a webhook endpoint

Fetches one webhook endpoint.

GET
/v1/webhooks/{id}

Fetches one webhook endpoint.

Authorization

bearer
headerAuthorizationBearer <JWT>

Your secret API key: sk_live_… for live traffic or sk_test_… for testing.

Path Parameters

id*string

Response Body

The endpoint.

application/json
Example Request
curl -X GET 'https://api.appstractone.com/v1/webhooks/string'
Example Response
{
  "id": "whe_01M6MJSC366MMHPMM73ABCM5JA",
  "url": "https://example.com/webhooks/appstract",
  "events": [
    "message.delivered",
    "message.failed"
  ],
  "description": "Order notifications",
  "enabled": true,
  "createdAt": "2026-11-05T00:47:20.681Z",
  "updatedAt": "2026-11-05T00:47:20.681Z"
}